# Rake Paths
TASK_FILES  = "#{File.expand_path(__dir__)}/tasks/**/*.rake"

# Jekyll Paths
JEKYLL_FILE = "_config.yml"

# NPM Paths
NPM_DIR  = "./node_modules"
NPM_BIN  = "./node_modules/.bin"
NPM_FILE = "package.json"

# SASS basic config
SASS_CONFIG = {
  source_file: "./src/index.scss",
  output_file: "./build/style.css",
  indented_syntax: "",
  output_style: "compact",
  indent_type: "",
  indent_width: "",
  source_map: false,
  include_path: "",
  importer: "",
  functions: ""
}
