desc "Cleaner wrapper: yarn"
namespace :clean do
  desc "Clean cache directories and files"
  task :temp do
    sh %{ rm -rf #{NPM_DIR} *.lock *.log build }
  end

  desc "Remove build directory"
  task :build do
    sh %{ rm -fr build }
  end

  desc "Clean cache: yarn"
  task :cache do
    sh %{ yarn cache clean }
  end

  desc "Clean cache: jest"
  task :jest do
    sh %{ #{NPM_BIN}/jest --clearCache }
  end

  # desc "Clean cache: Cloudflare"
  # task "cache:cloudflare" do
  #   sh %{
  #     curl -X DELETE \
  #       \"https://api.cloudflare.com/client/v4/zones/#{ENV['CLOUDFLARE_ZONE_ID']}/purge_cache\" \
  #      -H \"X-Auth-Email: #{ENV['CLOUDFLARE_EMAIL']}\" \
  #      -H \"X-Auth-Key: #{ENV['CLOUDFLARE_API_KEY']}\" \
  #      -H \"Content-Type: application/json\" \
  #      --data '{\"purge_everything\":true}'
  #   }
  # end
end
