require 'rebo/constants'
require "rebo/version"

module Rebo
  class Error < StandardError; end

  class << self
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
  end

  class Configuration
    attr_accessor :sass_config

    def initialize
      @sass_config = SASS_CONFIG.merge!(:sass_config);
    end
  end
end
