namespace :jekyll do
  task :install do
    # sh %{ bundle install --path vendor/bundle }
    # sh %{ bundle clean [--force] }
    sh %{ bundle install }
  end

  task :build => ["clean", "sass:compile"] do
    sh %{ JEKYLL_ENV=production bundle exec jekyll build --trace }
  end

  task :dev => ["clean", "sass:compile"] do
    sh %{ bundle exec jekyll serve --watch --trace --drafts --future }
  end

  task :deploy => ["build"] do
    sh %{ #{NPM_BIN}/gh-pages -d public }
  end

  task :kill do
    sh %{ kill $(ps aux | grep '[j]ekyll' | awk '{print $2}') }
  end

  task :clean do
    sh %{ bundle exec jekyll clean; bundle exec jekyll doctor }
  end
end
